Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.wcf.tree
Class TreeModelChangeEvent

    java.lang.Object
      java.util.EventObject
          com.tonbeller.wcf.tree.TreeModelChangeEvent

All Implemented Interfaces:
  java.io.Serializable

public class TreeModelChangeEvent
extends java.util.EventObject

informs listeners about changes in the tree model. If identityChanged == true, then the identity of the nodes have changed, which means - for example - that the selection will be cleared.

Author:
  av
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`TreeModelChangeEvent(TreeModel source, boolean identityChanged)`
`TreeModelChangeEvent(TreeModel source, java.lang.Object subtree, boolean identityChanged)`

Method Summary
`java.lang.Object` | `getSubtree()` changes are restricted to the returned node and its descendants.
`TreeModel` | `getTreeModel()`
`boolean` | `isIdentityChanged()`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TreeModelChangeEvent

    public TreeModelChangeEvent(TreeModel source,
                                boolean identityChanged)

### TreeModelChangeEvent

    public TreeModelChangeEvent(TreeModel source,
                                java.lang.Object subtree,
                                boolean identityChanged)

Method Detail

### getTreeModel

    public TreeModel getTreeModel()

### isIdentityChanged

    public boolean isIdentityChanged()

### getSubtree

    public java.lang.Object getSubtree()

  changes are restricted to the returned node and its descendants. If null, changes affect the whole tree.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD